//
//  FlipsideViewController.h
//  ex_UtilityAppTemplate-2
//
//  Created by yoshiyuki oshige on 2013/05/12.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import <UIKit/UIKit.h>

@class FlipsideViewController;
//プロトコルとデリゲートメソッドを宣言する
@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

@interface FlipsideViewController : UIViewController
//delegateプロパティの宣言
@property (weak, nonatomic) id <FlipsideViewControllerDelegate> delegate;
//テンポラリな設定用の辞書
@property (weak, nonatomic) NSMutableDictionary *theConfigDictionary;

//UI部品と接続してプロパティ宣言しておく
@property (weak, nonatomic) IBOutlet UITextField *theTextField;
@property (weak, nonatomic) IBOutlet UISwitch *theSwitch;
@property (weak, nonatomic) IBOutlet UIDatePicker *theDatePicker;

//ボタンのタップで実行するメソッド
- (IBAction)done:(id)sender;
//データの受け渡しに使うメソッド
- (void)setConfigureDic:(NSMutableDictionary *)configDictionary;
//設定辞書に基づいてUI部品を設定するメソッド
- (void)configureView;
//画面タップでキーボードを下げるジェスチャー
- (IBAction)tapView:(UITapGestureRecognizer *)sender;

@end