//
//  FlipsideViewController.m
//  ex_UtilityAppTemplate-2
//
//  Created by yoshiyuki oshige on 2013/05/12.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "FlipsideViewController.h"

@interface FlipsideViewController ()
@end

@implementation FlipsideViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    //UI部品の値を設定する
    [self configureView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Actions

//戻るためのメソッド
- (IBAction)done:(id)sender
{
    [self.delegate flipsideViewControllerDidFinish:self];
}

//Main View Controllerシーンから移動してくる前に現在の設定値を受け取る
- (void)setConfigureDic:(NSMutableDictionary *)configDictionary
{
    //設定値を受け取る辞書の準備
    if(_theConfigDictionary == nil){
        _theConfigDictionary = [NSMutableDictionary dictionaryWithCapacity:3];
    }
    //引数で受け取った辞書の値を引き継ぐ
    [_theConfigDictionary addEntriesFromDictionary:configDictionary];
}

//設定辞書に基づいてUI部品を設定する
- (void)configureView
{
    _theTextField.text = _theConfigDictionary[@"user"];
    _theSwitch.on =  [(_theConfigDictionary[@"switch"]) boolValue];
    _theDatePicker.date = _theConfigDictionary[@"date"];
}

//画面タップでキーボードを下げる
- (IBAction)tapView:(UITapGestureRecognizer *)sender {
    [self.view endEditing:YES];
}

@end