//
//  MainViewController.m
//  ex_UtilityAppTemplate-2
//
//  Created by yoshiyuki oshige on 2013/05/12.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "MainViewController.h"

@interface MainViewController ()

@end

@implementation MainViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //初期値の設定
    _myDictionary = [NSMutableDictionary dictionaryWithCapacity:3];
    _myDictionary[@"user"] = @"未設定";
    _myDictionary[@"switch"] = @YES;
    _myDictionary[@"date"] = [NSDate date];
    
    //画面の設定
    [self configureView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Flipside View

//戻りのdelegateメソッド
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller
{
    //Flipside View Controllerシーンの設定値を設定辞書に保存する
    _myDictionary[@"user"] = controller.theTextField.text;
    _myDictionary[@"switch"] = @(controller.theSwitch.on);
    _myDictionary[@"date"] = controller.theDatePicker.date;
    //Main View Controllerシーンの画面を設定する
    [self configureView];
     //シーンを移行する
    [self dismissViewControllerAnimated:YES completion:nil];
}

//移動の直前
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showAlternate"]) {
        //移動先のFlipsideViewControllerクラスのデリゲート先になる
        [[segue destinationViewController] setDelegate:self];
        //移動先のFlipsideViewControllerクラスに設定辞書の値を受け渡す
        [[segue destinationViewController] setConfigureDic:_myDictionary];
    }
}

//設定辞書に基づいて画面を設定する
- (void)configureView
{
    //メッセージの表示
    _welcomeMessage.text = [NSString stringWithFormat:@"こんにちは、%@さん", _myDictionary[@"user"]];
    //イメージの表示／非表示
    _myImage.hidden =  ![(_myDictionary[@"switch"]) boolValue];
    //日時の表示
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    [formatter setDateFormat:@"yyyy年MM月dd日 HH:mm"];
    _dateLabel.text = [formatter stringFromDate:_myDictionary[@"date"]];
}

@end
