//
//  MasterViewController.m
//  ex_MasterDetailAppTemplate-2
//
//  Created by yoshiyuki oshige on 2013/05/15.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "MasterViewController.h"
#import "DetailViewController.h"

@interface MasterViewController () {
    NSArray * tableDataList;
}
@end


@implementation MasterViewController

- (void)awakeFromNib
{
    [super awakeFromNib];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    /* テーブルビューに表示するデータを用意する */
    //各セルのデータ
    NSDictionary *cell0 = @{@"site":@"アップル", @"url":@"http://www.apple.com/jp/"};
    NSDictionary *cell1 = @{@"site":@"アップルストア", @"url":@"http://store.apple.com/jp"};
    NSDictionary *cell2 = @{@"site":@"Yahoo! JAPAN", @"url":@"http://www.yahoo.co.jp"};
    NSDictionary *cell3 = @{@"site":@"THE NORTH FACE", @"url":@"http://www.thenorthface.com/en_US/index.html"};
    NSDictionary *cell4 = @{@"site":@"Manchester United", @"url":@"http://www.manutd.jp"};
    //各セクションのデータ
    NSDictionary *section1 = @{@"header":@"リスト1", @"data":@[cell0, cell1, cell2]};
    NSDictionary *section2 = @{@"header":@"リスト2", @"data":@[cell3, cell4]};
    //テーブルビューのデータ
    tableDataList = @[section1, section2];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table View

//セクションが用意される
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    //セクションの個数を返す
    return tableDataList.count;
}

//指定セクションに行が用意される
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    //セクションのデータを取り出す
    NSDictionary *theSection = tableDataList[section];
    //セクションのセルの配列を取り出す
    NSArray *theData = theSection[@"data"];
    //指定セクションの行数を返す
    return theData.count;
}

//指定セクションのヘッダが設定される
- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    //セクションのデータを取り出す
    NSDictionary *theSection = tableDataList[section];
    //セクションのヘッダのタイトルを返す
    return theSection[@"header"];
}

//指定行のセルが設定される
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    //セルを取り出す
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    //セクションのデータを取り出す
    NSDictionary *theSection = tableDataList[indexPath.section];
    //セクションのセルの配列を取り出す
    NSArray *theData = theSection[@"data"];
    //指定行のセルを取り出す
    NSDictionary *theCell = theData[indexPath.row];
    //セルにタイトルとサブタイトルを設定する
    cell.textLabel.text = theCell[@"site"];
    cell.detailTextLabel.text = theCell[@"url"];
    //タイトルを設定済みのセルを返す
    return cell;
}

//シーンを移動する前に移動先の詳細シーンを設定する
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showDetail"]) {
        //選択された行を調べる
        NSIndexPath *indexPath = [self.tableView indexPathForSelectedRow];
        //セクションのデータを取り出す
        NSDictionary *theSection = tableDataList[indexPath.section];
        //セクションのセルの配列を取り出す
        NSArray *theData = theSection[@"data"];
        //指定行のセルを取り出す
        NSDictionary *theCell = theData[indexPath.row];
        //URLを取り出す
        NSString *url = theCell[@"url"];
        //移動先のシーンのビューコントローラにsetDetailItem:メソッドを送る
        [[segue destinationViewController] setDetailItem:url];
    }
}

@end
