//
//  RootViewController.m
//  ex_UITableView_Navigation
//
//  Created by yoshiyuki oshige on 2013/05/18.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "RootViewController.h"

@interface RootViewController ()
{
    NSArray *cellList;
}
@end

@implementation RootViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //各セルのデータ
    NSString *cell0 = @"Aコース";
    NSString *cell1 = @"Bコース";
    //テーブルビューのデータ
    cellList = @[cell0, cell1];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

//セクションの個数
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

//セクションの行数（セル数）
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return cellList.count;
}

//セルを設定する
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    //セルのテキスト
    cell.textLabel.text = cellList[indexPath.row];
    //セルのアクセサリタイプ : ＞を表示する
    cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    return cell;
}

#pragma mark - Table view delegate

//選ばれたシーンへ移動する
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if(indexPath.row == 0){
        //1行目ならAコースへ
        [self performSegueWithIdentifier:@"showAcourse" sender:self];
    } else if (indexPath.row == 1){
        //2行目ならBコースへ
        [self performSegueWithIdentifier:@"showBcourse" sender:self];
    }
}

@end

